package com.fjhx.item.enums;

import lombok.AllArgsConstructor;
import lombok.Getter;

@AllArgsConstructor
@Getter
public enum ProductAvailableRecordType {

    PURCHASE_PASS(1, "采购通过"),
    PURCHASE_CANCEL(2, "采购作废"),
    PURCHASE_UPDATE(3, "采购变更"),
    SALE_PASS(4, "销售合同通过"),
    HAND_IN(5, "手动入库"),
    HAND_OUT(6, "手动出库"),
    SALE_CANCEL(7, "销售合同作废"),
    SALE_UPDATE(8, "销售合同变更"),
    PURCHASE_BACK(9, "采购退货");

    /**
     * 类型
     */
    private final Integer type;

    /**
     * 详细类型
     */
    private final String detailType;
}
